Subject: Re: bug#38868: Problem compiling Emacs24 on Debian 10
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Eduardo Ochs <[email-masked]>
Date: Sun, 18 Oct 2020 01:08:13 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Eduardo Ochs <[email-masked]>
>> Date: Thu, 2 Jan 2020 03:06:07 -0300
>>
>>   git checkout emacs-24
>>
>>   ./autogen.sh   2>&1 | tee oa
>>   ./configure    2>&1 | tee oc
>>   # make         2>&1 | tee om
>>   make bootstrap 2>&1 | tee omb
>>
>>   # "make bootstrap" fails!
>>   tail -n 15 omb
>>   # The output of "tail" is:
>>   # make[3]: Leaving directory '/home/edrx/bigsrc/emacs24/lisp'
>>   # if test "no" = "yes"; then \
>>   #   rm -f bootstrap-emacs; \
>>   #   ln temacs bootstrap-emacs; \
>>   # else \
>>   #   ./temacs --batch --load loadup bootstrap || exit 1; \
>>   #   test "X" = X ||  -zex emacs; \
>>   #   mv -f emacs bootstrap-emacs; \
>>   # fi
>>   # /bin/bash: line 7: 20593 Segmentation fault      ./temacs --batch
>> --load loadup bootstrap
>
> I guess this is some problem with unexec and malloc in new glibc
> versions?

That was 41 weeks ago, and there were no further followups.  It sounds
likely that Eli's analysis here is correct and an older glibc would need
to be used.  In any case, I don't know what we can do about Emacs 24 now.
I'm therefore closing this bug now.

If this conclusion is incorrect and this is still an issue, please reply
to this email (use "Reply to all" in your email client) and we can
reopen the bug report.